Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Links one of your databases to the workspace. Owner only.
cURL
curl --request POST \ --url https://api.vertracloud.app/v1/workspaces/{id}/databases/{db_id} \ --header 'Authorization: Bearer <token>'
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.vertracloud.app/v1/workspaces/{id}/databases/{db_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.vertracloud.app/v1/workspaces/{id}/databases/{db_id}" headers = {"Authorization": "Bearer <token>"} response = requests.post(url, headers=headers) print(response.text)
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.vertracloud.app/v1/workspaces/{id}/databases/{db_id}" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
workspaces:write
WORKSPACE_OWNER_ONLY
PLAN_RESTRICTED_FEATURE
WORKSPACE_NOT_FOUND
DATABASE_NOT_FOUND